<?php
namespace nur\sery\db\mysql;

use nur\sery\db\pdo\Pdo;

class Mysql extends Pdo {
  function getDbname(): ?string {
    $url = $this->dbconn["name"] ?? null;
    if ($url !== null && preg_match('/^mysql(?::|.*;)dbname=([^;]+)/i', $url, $ms)) {
      return $ms[1];
    }
    return null;
  }
}
